Entur Developer
Products

meta-data

Server

Create metadata

POST
https://api.entur.io/products
/meta-data

Create metadata › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Create metadata › Request Body

​Metadata[]
created
​string · readOnly · required

Created datetime

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id

Example: NSB:SalesPackage:Ordinary
nameOfClass
​string · readOnly · required

Name of class.

Example: JourneyPattern
responsible
​string · minLength: 1 · required

Responsible

Example: Kari Nordmann
version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Version

Example: NSB:Version:V1
externalReferenceName
​string

External reference name

externalReferenceUrl
​string

External reference URL

note
​string

Note

Example: Dette er en endring

Create metadata › Responses

Entity created successfully

No data returned

Get metadata for a netexid and version

GET
https://api.entur.io/products
/meta-data/{id}/{version}

Get metadata for a netexid and version › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The netex id to identify a metadata entry

version
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The version id for the version of the metadata entry

Get metadata for a netexid and version › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Get metadata for a netexid and version › Responses

Returns the info

created
​string · readOnly · required

Created datetime

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id

Example: NSB:SalesPackage:Ordinary
nameOfClass
​string · readOnly · required

Name of class.

Example: JourneyPattern
responsible
​string · minLength: 1 · required

Responsible

Example: Kari Nordmann
version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Version

Example: NSB:Version:V1
externalReferenceName
​string

External reference name

externalReferenceUrl
​string

External reference URL

note
​string

Note

Example: Dette er en endring

Did you find what you were looking for?